<?php
    require('adodb/adodb.inc.php'); //biblioteca necessaria para trabalhar com adodb
	require_once('conexao.php');
	require_once('funcoes.php');
	class manutencao_oscam
	{
		function oscam_user($acesso_idempresa, $idprofile){
			$con = new conexao();
  		  	$sql="select * from profile where idprofile='$idprofile' and idempresa='$acesso_idempresa'";
			$resultado  = $con->banco->Execute($sql);
			$registro   = $resultado->FetchNextObject();
			$oscam_usuario	= $registro->USUARIO;
			$oscam_senha	= $registro->SENHA;
			$oscam_host		= $registro->HOST;
			$oscam_porta	= $registro->PORTACSP;
			$oscam_caid		= $registro->CAID;
			$oscam_ident	= $registro->IDENT;
			$oscam_group	= $registro->GRUPO;
			
			if ($oscam_host <> "" && $oscam_usuario <>"" && $oscam_senha <> "" && $oscam_porta <> 0 && $oscam_caid <> "" && $oscam_ident <> "" && $oscam_group <> "" ){
				$sql="select * from csp_user where idempresa='$acesso_idempresa'";
				$resultado  = $con->banco->Execute($sql);
			    fopen('../../oscam/oscam.user','w+');
				$fp = fopen("../../oscam/oscam.user", "a");
				while ($registro=$resultado->FetchNextObject()){
					$oscam_user = $registro->NAME;
					$oscam_pwd  = $registro->PASSWORD;
					$oscam_desc = $registro->DISPLAYNAME;
					$oscam_expi = $registro->EXPIREDATE;
		$conteudo = <<<EOM
[account]
user                          = $oscam_user
pwd                           = $oscam_pwd
description                   = $oscam_desc
expdate                       = $oscam_expi
group                         = $oscam_group
caid                          = $oscam_caid
ident                         = $oscam_ident

EOM;
					$escreve = fwrite($fp, $conteudo);				
				}
				fclose($fp);
			} 
		}
	}
?>